/*
 * Copyright (c) 2004-2017, by Alex Leigh.
 * All rights reserved.
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 */

package lc.mecha.log;

import org.slf4j.Logger;

/**
 * The <code>MechaLogger</code> non-ironically implements a logging facade with the same interface as slf4j.
 *
 * @author Alex Leigh
 */
public class MechaLogger {
    private final Logger logger;

    public MechaLogger(Logger logger) {
        this.logger = logger;
    }

    public String getName() {
        return logger.getName();
    }

    public boolean isTraceEnabled() {
        return logger.isTraceEnabled();
    }

    public void trace(String s) {
        logger.trace(s);
    }

    public void trace(String s, Object o) {
        logger.trace(s, o);
    }

    public void trace(String s, Object o, Object o1) {
        logger.trace(s, o, o1);
    }

    public void trace(String s, Object... objects) {
        logger.trace(s, objects);
    }

    public void trace(String s, Throwable throwable) {
        logger.trace(s, throwable);
    }

    public boolean isDebugEnabled() {
        return logger.isDebugEnabled();
    }

    public void debug(String s) {
        logger.debug(s);
    }

    public void debug(String s, Object o) {
        logger.debug(s, o);
    }

    public void debug(String s, Object o, Object o1) {
        logger.debug(s, o, o1);
    }

    public void debug(String s, Object... objects) {
        logger.debug(s, objects);
    }

    public void debug(String s, Throwable throwable) {
        logger.debug(s, throwable);
    }

    public boolean isInfoEnabled() {
        return logger.isInfoEnabled();
    }

    public void info(String s) {
        logger.info(s);
    }

    public void info(String s, Object o) {
        logger.info(s, o);
    }

    public void info(String s, Object o, Object o1) {
        logger.info(s, o, o1);
    }

    public void info(String s, Object... objects) {
        logger.info(s, objects);
    }

    public void info(String s, Throwable throwable) {
        logger.info(s, throwable);
    }

    public boolean isWarnEnabled() {
        return logger.isWarnEnabled();
    }

    public void warn(String s) {
        logger.warn(s);
    }

    public void warn(String s, Object o) {
        logger.warn(s, o);
    }


    public void warn(String s, Object... objects) {
        logger.warn(s, objects);
    }

    public void warn(String s, Object o, Object o1) {
        logger.warn(s, o, o1);
    }

    public void warn(String s, Throwable throwable) {
        logger.warn(s, throwable);
    }

    public boolean isErrorEnabled() {
        return logger.isErrorEnabled();
    }

    public void error(String s) {
        logger.error(s);
    }


    public void error(String s, Object o) {
        logger.error(s, o);
    }

    public void error(String s, Object o, Object o1) {
        logger.error(s, o, o1);
    }

    public void error(String s, Object... objects) {
        logger.error(s, objects);
    }

    public void error(String s, Throwable throwable) {
        logger.error(s, throwable);
    }


}
